<form [formGroup]="formGroup"
      #form="ngForm" (ngSubmit)="formGroup.valid && upload()">
  <mat-form-field>
    <mat-label>
      {{ 'common.dialogUpload.field.file' | translate }}
    </mat-label>
    <ngx-mat-file-input formControlName="file" accept=".csv"></ngx-mat-file-input>
    <mat-icon matSuffix>
      attach_file
    </mat-icon>
    <mat-error *ngIf="formGroup.controls.file.errors?.required">
      {{ 'admin.common.validation.required' | translate }}
    </mat-error>
    <mat-error *ngIf="formGroup.controls.file.errors?.maxContentSize">
      {{ 'admin.common.validation.fileSize' | translate:{ size: (formGroup.controls.file.errors?.maxContentSize?.maxSize | byteFormat) } }}
    </mat-error>
  </mat-form-field>
</form>

<button mat-icon-button
        class="close"
        (click)="close()">
  <mat-icon>
    close
  </mat-icon>
</button>
<footer>
  <button mat-stroked-button color="accent"
          (click)="dismiss()">
    <mat-icon>
      cancel
    </mat-icon>
    {{ 'common.dialogUpload.action.dismiss' | translate }}
  </button>
  <a mat-stroked-button color="primary" [href]="href + data.sampleFileUrl">
    <mat-icon>
      insert_drive_file
    </mat-icon>
    {{ 'common.dialogUpload.action.sample' | translate }}
  </a>
  <app-async-button [loading]="loading">
    <button mat-flat-button color="primary"
            (click)="form.onSubmit($event)">
      <mat-icon>
        cloud_upload
      </mat-icon>
      {{ 'common.dialogUpload.action.send' | translate }}
    </button>
  </app-async-button>
</footer>
